#!/bin/bash

APP=de.intevation.artifactdatabase.App

DIR=`dirname $0`/..
DIR=`readlink -f "$DIR"`

CLASSPATH=
for l in `find "$DIR/bin/lib" -name \*.jar -print`; do
   CLASSPATH=$CLASSPATH:$l
done

export CLASSPATH

exec java -Xmx256m \
     -server \
     -Dflys.datacage.recommendations.development=true \
     -Dcom.sun.management.jmxremote.port=1229 \
     -Dcom.sun.management.jmxremote.authenticate=false \
     -Djava.io.tmpdir="$DIR/cache" \
     -Dflys.backend.enablejmx=true \
     -Dflys.uesk.keep.artifactsdir=false \
     -Dwsplgen.bin.path="$DIR/bin/wsplgen.exe" \
     -Dwsplgen.log.output=false \
     -Dartifact.database.dir="$DIR/conf" \
     $APP
